mzml2mzcbor(1)

Name
mzml2mzcbor - Convert files in mzML format to files in a CBOR-derived format (mzCBOR)

SYNOPSIS
        mzml2mzcbor -i <input_file> -o <output_file>

        mzml2mzcbor -o <output_file> - (to read data from stdin)

        mzml2mzcbor -i <input_dir> -o <output_dir>

DESCRIPTION

The mzml2mzcbor command line interface program performs the conversion of files from the mzML format to a CBOR-based format (mzCBOR) that replicates the structure of the mzML-formatted file.

The Concise Binary Object Representation (CBOR) is a binary data format designed by the Internet Engineering Task Force (IETF, RFC 8949). Its aim is to increase processing and transfer speeds, albeit at the cost of human data readability.

The use of this format as a replacement for mzML is intended not only to save storage space but also because of speed benefits during parsing and processing.

    1.  Input

                •   A mass spectrometry data file in the mzML format

                •   Or a directory containing mzML files : all file names ending with *.mzML will be converted and written to the output directory

    2.  Output

                •   A mass spectrometry data file in the mzCBOR format

                •   If the input is a directory, then the path provided should be also a directory to store each converted mzML files in mzCBOR

OPTIONS

-h [ --help ] Print the help message.

-v [ --version ] Print the version of the sotfware.

--index Writes an mzcbor index file (the output filename with .idx suffix)

MAN PAGE PRODUCTION

This man page was written by Filippo Rusconi <<lopippo@debian.org>> for the Debian package.

Author
Filippo Rusconi <lopippo.debian.org>

Copyright
Olivier Langella & Filippo Rusconi